Package org.spongepowered.asm.mixin.injection.selectors

## Interface ITargetSelectorByName

- All Superinterfaces:
    `ITargetSelector`
  All Known Subinterfaces:
    `ITargetSelectorConstructor`, `ITargetSelectorRemappable`
  All Known Implementing Classes:
    `DynamicSelectorDesc`, `MemberInfo`

      public interface ITargetSelectorByName
      extends ITargetSelector

  A target selector which selects elements directly by name.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.spongepowered.asm.mixin.injection.selectors.ITargetSelector

      `ITargetSelector.Configure`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDesc()` | Get the member descriptor, can be null
    `java.lang.String` | `getName()` | Get the member name, can be null
    `java.lang.String` | `getOwner()` | Get the member owner, can be null
    `MatchResult` | `matches​(java.lang.String owner, java.lang.String name, java.lang.String desc)` | Test whether this selector matches the supplied values.
    `java.lang.String` | `toDescriptor()` | Get a representation of this selector as a complete descriptor

    - ### Methods inherited from interface org.spongepowered.asm.mixin.injection.selectors.ITargetSelector

      `attach, configure, getMaxMatchCount, getMinMatchCount, match, next, validate`

- - ### Method Detail

    - #### getOwner

          java.lang.String getOwner()

      Get the member owner, can be null

    - #### getName

          java.lang.String getName()

      Get the member name, can be null

    - #### getDesc

          java.lang.String getDesc()

      Get the member descriptor, can be null

    - #### toDescriptor

          java.lang.String toDescriptor()

      Get a representation of this selector as a complete descriptor

    - #### matches

          MatchResult matches​(java.lang.String owner,
                              java.lang.String name,
                              java.lang.String desc)

      Test whether this selector matches the supplied values. Null values are ignored.
      Parameters:
        `owner` - Owner to compare with, null to skip
        `name` - Name to compare with, null to skip
        `desc` - Signature to compare with, null to skip
      Returns:
        true if all non-null values in this reference match non-null arguments supplied to this method